<div class="container">
  <div class="subplot-container">
    <div class="subplot" *ngFor="let subplot of subplots" [ngStyle]="{'border-color': subplot.color}">
      <div class="channel_header">
        Index: {{ subplot.index }}
      </div>
      <div class="button-holder">
        <button class="correct-button label-button" [class.correct-selected]="labels[subplot.index]" (click)="labelCorrect(subplot.index)">&#10004;</button>
        <button class="neutral-button label-button" [class.neutral-selected]="labels[subplot.index] == undefined" (click)="labelUndefined(subplot.index)">&#8226;</button>
        <button class="incorrect-button label-button" [class.incorrect-selected]="labels[subplot.index] == false" (click)="labelIncorrect(subplot.index)">&#10006;</button>
      </div>
      <plotly-plot [data]="subplot.data" [layout]="subplot.layout"></plotly-plot>
    </div>
  </div>
</div>
